Anonymous | Login
Project:
RSS
  
News | My View | View Issues | Roadmap | Summary

View Issue DetailsJump to Notes ] Issue History ] Print ]
ID
0018294
TypeCategorySeverityReproducibilityDate SubmittedLast Update
defect[Openbravo ERP] A. Platformmajoralways2011-08-16 18:112011-09-02 10:55
ReporterdbazView Statuspublic 
Assigned Todbaz 
PriorityurgentResolutionfixedFixed in Version
StatusclosedFix in branchFixed in SCM revision99aab8f43be5
ProjectionnoneETAnoneTarget Version
OSAnyDatabaseAnyJava version
OS VersionDatabase versionAnt version
Product VersionSCM revision 
Review Assigned To
Web browser
ModulesCore
Regression level
Regression date
Regression introduced in release
Regression introduced by commit
Triggers an Emergency PackNo
Summary

0018294: [RTL] A mechanism to load rtl style files is needed

DescriptionWhen a RTL language is selected, a mechanism to load specific rtl style files (js and css) is needed. This mechanism should take advantage of previous developments:

https://code.openbravo.com/erp/devel/pi/rev/9daad2b86943a8d466d684f6d309d43ccd1fe99a [^]

https://code.openbravo.com/erp/devel/pi/rev/5acd44629c18a86609a5a06e13353153ed06d066 [^]

Steps To ReproduceTo set default (English (USA)) language as RTL:

As "System Administrator" go to "Language" window
Select "English (USA)" (in "Name" column)
Activate "RTL Language" checkbox
Save
Log-off
Log-in

After that, you can take advantage of Keyboard Shortcuts to open menu options if the interface is not usable

https://docs.google.com/spreadsheet/ccc?authkey=CPjuiJsF&key=0AscCzhu_uHnCdFlJSkMxQTRoNHdYUE1PNDBYRDY1YUE&hl=en&authkey=CPjuiJsF#gid=0 [^]
TagsNo tags attached.
Attached Files

- Relationships Relation Graph ] Dependency Graph ]
related to defect 0018286 closeddbaz [RTL] Login screenshot is rendered wrong 
related to design defect 0018287 closeddbaz [RTL] Workspace parts are not flipped 
related to design defect 0018288 closeddbaz [RTL] Navigation bar is rendered wrong 
related to defect 0018289 closeddbaz [RTL] Tab bar is rendered wrong 
related to design defect 0018290 closeddbaz [RTL] Grid is rendered wrong 
related to design defect 0018291 closeddbaz [RTL] Form is rendered wrong 
related to design defect 0018292 closeddbaz [RTL] Form personalization window is rendered wrong 
related to design defect 0018293 closeddbaz [RTL] Dialogs are rendered wrong 
related to defect 0018308 closeddbaz [RTL] Status bar is rendered wrong 
related to defect 0018318 closeddbaz [RTL] Classic windows are rendered wrong 

-  Notes
(0040273)
hgbot (developer)
2011-08-17 16:56

Repository: erp/devel/pi
Changeset: 99aab8f43be5d90c0dd9d7c880bd59b6b6bdb245
Author: David Baz Fayos <david.baz <at> openbravo.com>
Date: Wed Aug 17 16:55:48 2011 +0200
URL: http://code.openbravo.com/erp/devel/pi/rev/99aab8f43be5d90c0dd9d7c880bd59b6b6bdb245 [^]

Fixed issue 18294: [RTL] Added a mechanism to load specific RTL styles

---
M modules/org.openbravo.client.application/src/org/openbravo/client/application/ApplicationComponentProvider.java
A modules/org.openbravo.client.application/web/org.openbravo.userinterface.smartclient/openbravo/skins/Default/org.openbravo.client.application/ob-rtl-styles.css
A modules/org.openbravo.client.application/web/org.openbravo.userinterface.smartclient/openbravo/skins/Default/org.openbravo.client.application/ob-rtl-styles.js
---
(0040404)
hudsonbot (developer)
2011-08-22 18:39

A changeset related to this issue has been promoted main and to the
Central Repository, after passing a series of tests.

Promotion changeset: https://code.openbravo.com/erp/devel/main/rev/30e6a459386a [^]

Maturity status: Test
(0040714)
mtaal (developer)
2011-09-02 10:55

Yes correct point and the change shows the correct approach. We need to add this to the docs when rtl is done.

- Issue History
Date Modified Username Field Change
2011-08-16 18:11 dbaz New Issue
2011-08-16 18:11 dbaz Assigned To => dbaz
2011-08-16 18:11 dbaz Modules => Core
2011-08-16 18:12 dbaz Relationship added related to 0018286
2011-08-16 18:12 dbaz Relationship added related to 0018287
2011-08-16 18:13 dbaz Relationship added depends on 0018288
2011-08-16 18:14 dbaz Relationship deleted depends on 0018288
2011-08-16 18:14 dbaz Relationship added related to 0018288
2011-08-16 18:14 dbaz Relationship added related to 0018289
2011-08-16 18:15 dbaz Relationship added related to 0018290
2011-08-16 18:15 dbaz Relationship added related to 0018291
2011-08-16 18:15 dbaz Relationship added related to 0018292
2011-08-16 18:16 dbaz Relationship added related to 0018293
2011-08-17 15:21 dbaz Relationship added related to 0018308
2011-08-17 16:56 hgbot Checkin
2011-08-17 16:56 hgbot Note Added: 0040273
2011-08-17 16:56 hgbot Status new => resolved
2011-08-17 16:56 hgbot Resolution open => fixed
2011-08-17 16:56 hgbot Fixed in SCM revision => http://code.openbravo.com/erp/devel/pi/rev/99aab8f43be5d90c0dd9d7c880bd59b6b6bdb245 [^]
2011-08-19 01:48 dbaz Relationship added related to 0018318
2011-08-22 18:39 hudsonbot Checkin
2011-08-22 18:39 hudsonbot Note Added: 0040404
2011-09-02 10:55 mtaal Note Added: 0040714
2011-09-02 10:55 mtaal Status resolved => closed


Copyright © 2000 - 2009 MantisBT Group
Powered by Mantis Bugtracker